package com.huigou.topsun.sap.nonProdApply.domain;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 非产品/非本成品类物料主数据维护申请基础表
 * @TableName non_prod_apply_base_info
 */
@Table(name="non_prod_apply_base_info")
@Data
@Entity
public class NonProdApplyBaseInfo implements Serializable {
    /**
     * 申请单编号
     */
    @Id
    @Column(name = "application_id")
    private Integer applicationId;

    /**
     * 申请人
     */
    private String applicant;

    /**
     * 申请部门
     */
    private String department;

    /**
     * 申请日期
     */
    @Column(name = "application_date")
    private Date applicationDate;

    /**
     * 维护类型
     */
    @Column(name = "maintenance_type")
    private String maintenanceType;

    /**
     * 批准状态
     */
    @Column(name = "approval_status")
    private String approvalStatus;

    /**
     * 批准人
     */
    private String approver;

    /**
     * 批准日期
     */
    @Column(name = "approval_date")
    private Date approvalDate;

    /**
     * 通用品名
     */
    @Column(name = "generic_name")
    private String genericName;

    /**
     * 适用标准
     */
    @Column(name = "applicable_standard")
    private String applicableStandard;

    /**
     * 基本计量单位
     */
    @Column(name = "base_unit")
    private String baseUnit;

    /**
     * 规格
     */
    private String specifications;

    /**
     * 材质
     */
    private String material;

    /**
     * 版式
     */
    private String layout;

    /**
     * 尺码
     */
    private String size;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 用途
     */
    @Column(name = "material_usage")
    private String materialUsage;

    /**
     * 物品属性
     */
    @Column(name = "item_attributes")
    private String itemAttributes;

    /**
     * 业务用途
     */
    @Column(name = "business_usage")
    private String businessUsage;

    /**
     * 文本说明
     */
    @Column(name = "text_description")
    private String textDescription;

    private static final long serialVersionUID = 1L;
}